Author Topic: Anynews und UTF8 nach Update auf WB 2.10  (Read 283 times)

Offline klaumich

  • Posts: 85
  • Gender: Male
  • Ziemlich Ahnungsloser
    • michler-web
Anynews und UTF8 nach Update auf WB 2.10
« on: June 13, 2018, 05:12:18 PM »
Hallo Community,

ich habe jetzt heute die erste von meinen 5 Seiten die noch auf WB 2.8.3 SP7 liefen auf WB 2.10 upgegradet, das Upgrade war ohne Probleme .... allerdings habe ich nun, wie schon mehrfach von anderen Nutzern hier im Forum das Problem mit den Sonderzeichen ..... laut Datenbank in phpMyAdmin sind aber alle Tabellen (51) in Kollation, utf8_general_ci angelegt ....

Info zur DB:
Datenbank-Server
    Server: Localhost via UNIX socket
    Server-Typ: MySQL
    Server-Version: 5.7.22-0ubuntu0.16.04.1 - (Ubuntu)
    Protokoll-Version: 10
    Benutzer: moni@localhost
    Server-Zeichensatz: UTF-8 Unicode (utf8)

Ich habe mir die ganzen Post diesbezuüglich durchgelsen und verstanden das es am ursprünglichen Anlegen der Datenbank beim jeweiligen Provider und der damaligen PHP Version liegt und lag und nicht am CMS. WB legt ja die Datenbank nicht an sondern füllt Selbige ja nur!

Soweit so gut ...... wie schon so oft in meinem Postings erwähnt, gibt es eben auch User die WB benutzen, aber von PHP, SQL und sonstigen so gut wie keinen Plan haben, oder halt gerade nur so viel wie nötig um so ein Tool wie WB als CMS auf einen Server zu bringen und dann entprechende Seiten zu erstellen! Aus diesem Grund sind Nutzer "dieser Art" und Wissensstand im Grunde völlig überfordert mit Exports von SQL Tabellen, ändern mit irgendwelchen Edittoren und einem Reimport ..... Ich für meinen Teil sitze schon jedes Mal mit Herzklopfen vor der Kiste, wenn ich ein Update mache .... in der Hoffnung es läuft durch und auch ohne Fehler!
Was ich damit sagen möchte, es gibt eben auch viele Anwender die das CMS eben wiklich NUR anwenden wie wenn ich einen Brief in Word schreibe! Ist vielleicht ein Vergleich der etwas hinkt, aber ich hoffe ich vermittle damit was ich meine. Klar hab ich seit ich WB nutze und das schon seit WB 2.7.x, einiges dazugelernt, hab mich durch gegoogle und erstklassige Unterstützung hier durch die Community durch die eine oder andere Tabelle und oder Code gewurstelt, Probleme auch gelöst, aber definitiv vestehen ist was Anderes!

Lange Rede, bevor ich mit nicht mal gefährlichem Halbwissen irgendwelche Ex und Imports aus der DB in phpMyAdmin mache und mir diese crashe, ackere ich mich lieber durch 400 Seiten oder mehr und korrigiere meine ü/ä und sonstigen Sonderzeichen, ist halt so .....

Zu meinem Zweiten Problem nach dem Upgrade "Anynews benötigt Website Baker 2.7 oder höher", wozu ich auch einige Posts hier im Forum gefunden habe, aber eben als "nur Anwender" nicht weis was tun, obwohl ja steht:
************************************
Hi,

please change this:

Code: [Auswählen]
// output message for outdated Website Baker versions
    if ((double) WB_VERSION < 2.7) {
        echo $LANG[0]['TXT_REQUIREMENTS'];
        return;
    }
to:

Code: [Auswählen]
// output message for outdated Website Baker versions
    if (version_compare(WB_VERSION, '2.7', '<')) {
        echo $LANG[0]['TXT_REQUIREMENTS'];
        return;
    }
************************************
Nur WO bzw. in welchem File schreibe/ändere ich denn diesen Code?? Solche Angaben wären eben für Honks wie mich eine sehr große Hilfe!! Ich hab mir alle Files im anynews Modul angesehen und nix gefunden   :|

Ich finde WB nach wie vor klasse und kann nur immer wieder meinen Hut ziehen vor dem Engagement das ihr hier leistet und mich für die Unterstützung hier bedanken, nur denkt halt bitte auch immer daran, es gibt Nutzer die wirklich sehr sehr wenig Ahnung haben und bei sehr vielen Post hier in der Community die Fragezeichen über dem Haupt schweben haben  :roll:

In diesem Sinne, Grüße
Klaus
Immer in der Hoffnung, dass das Licht am Ende des Tunnels der Ausgang ist ...
[WB vers. 2.12]

Offline klaumich

  • Posts: 85
  • Gender: Male
  • Ziemlich Ahnungsloser
    • michler-web
Re: Anynews und UTF8 nach Update auf WB 2.10
« Reply #1 on: June 13, 2018, 05:51:57 PM »
zu meinen Probleme auf der Ersten Seite hat sich noch eines hinzugesellt .... auf der Seite mit dem procalendar bekomme ich die Ausgabe:
There was an uncatched exception
Call to undefined function split()
in line (596) of (/modules/procalendar/functions.php):


was bedeuten denn eigentlich die Infos nach dem Upgrade wenn in der Liste der Module steht
Unchecked Module "xyz" is not registered in /install/ModuleWhiteList steht und wie oder wo lässt sich das beheben??


Immer in der Hoffnung, dass das Licht am Ende des Tunnels der Ausgang ist ...
[WB vers. 2.12]

Offline klaumich

  • Posts: 85
  • Gender: Male
  • Ziemlich Ahnungsloser
    • michler-web
Re: Anynews und UTF8 nach Update auf WB 2.10
« Reply #2 on: June 13, 2018, 06:11:09 PM »
liegt es daran das diese Module alle keine Versionsnummer haben ?? Ist mir nur gerade so aufgefallen ....  :?
Immer in der Hoffnung, dass das Licht am Ende des Tunnels der Ausgang ist ...
[WB vers. 2.12]

Offline evaki

  • Posts: 2220
Zu Anynews
« Reply #3 on: June 13, 2018, 06:12:18 PM »
Befindet sich in include.php
Code: [Select]
Bei meiner Änderung v1.16.2 siehts so aus:
// output message for outdated Website Baker versions
/* if ((double) WB_VERSION < 2.7) {
echo $LANG[0]['TXT_REQUIREMENTS'];
return;
}
*/
also janz wech.
MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline evaki

  • Posts: 2220
Zu procalendar
« Reply #4 on: June 13, 2018, 06:16:47 PM »
Function split() is deprecated
Also "irgendwo" schauen, wo es was an neuPHP angepaßtes gibt.
MfG. Evaki
Einmal Pizza Quattro Stagioni bitte, aber ohne Herbst.

Offline klaumich

  • Posts: 85
  • Gender: Male
  • Ziemlich Ahnungsloser
    • michler-web
Re: Zu Anynews
« Reply #5 on: June 13, 2018, 07:10:32 PM »
Befindet sich in include.php
Code: [Select]
Bei meiner Änderung v1.16.2 siehts so aus:
// output message for outdated Website Baker versions
/* if ((double) WB_VERSION < 2.7) {
echo $LANG[0]['TXT_REQUIREMENTS'];
return;
}
*/
also janz wech.
MfG. Evaki

 (Y) supper danke ..... ich hatte mir auch die include.php angesehen, allerdings zeigt die im cwsoft-addon-file-editor keinen Inhalt an  :-o, erst nach ftp Downlaod und öffnen im Editor hat die File Inhalte ... da muss man(n) erst mal draufkommen  :roll:
Immer in der Hoffnung, dass das Licht am Ende des Tunnels der Ausgang ist ...
[WB vers. 2.12]

Offline klaumich

  • Posts: 85
  • Gender: Male
  • Ziemlich Ahnungsloser
    • michler-web
Re: Anynews und UTF8 nach Update auf WB 2.10
« Reply #6 on: June 13, 2018, 07:29:26 PM »
zu der Procalendergeschich te mach ich mal nen neuen Thread auf, im Bereich Module .... denn da bin ich zwar weiter, aber mit weiteren Problemen  :|
Immer in der Hoffnung, dass das Licht am Ende des Tunnels der Ausgang ist ...
[WB vers. 2.12]

 

postern-length